Subject: Re: bug#65469: [PATCH] * etc/emacsclient.desktop: Make Emacs default application for org-protocol

From: Po Lu <[email-masked]>
Date: Mon, 18 Sep 2023 21:32:26 +0800

Ihor Radchenko <[email-masked]> writes:

> Björn Bidar <[email-masked]> writes:
>
>>> Thanks.  I needed to fix this slightly, to make it clear that this is
>>> limited to GNU/Linux desktops.
>>
>> It applies to all operating system that use desktop environments that  comply with XDG so for example also BSD.
>
> I am also wondering is something similar might be done for Android build.
> Having something like "Share with ... Emacs" might be an interesting
> feature.

I wrote this feature back in August, immediately upon this patch's
installation in master.  Emacs registers itself as a URL handler for
``org-protocol://'' links, which are then provided to emacsclient.